import 'package:pip_services3_commons/pip_services3_commons.dart';
import 'package:service_drones_dart/src/data/version1/DroneV1.dart';

abstract class IDronesController {
  Future<DataPage<DroneV1?>> getDrones(
      String? correlationId, FilterParams filter, PagingParams paging);

  Future<DroneV1?> getDroneById(String? correlationId, String droneId);

  Future<DroneV1?> getDroneBySerial(String? correlationId, String serial);

  Future<DroneV1?> createDrone(String? correlationId, DroneV1 drone);

  Future<DroneV1?> updateDrone(String? correlationId, DroneV1 drone);

  Future<DroneV1?> deleteDroneById(String? correlationId, String droneId);
}
