import 'package:pip_services3_commons/pip_services3_commons.dart';
import 'package:pip_services3_data/pip_services3_data.dart';
import 'package:service_drones_dart/src/data/version1/DroneV1.dart';
import 'package:service_drones_dart/src/persistence/DronesMemoryPersistence.dart';

class DronesFilePersistence extends DronesMemoryPersistence {
  JsonFilePersister<DroneV1> persister;

  DronesFilePersistence([String? path])
      : persister = JsonFilePersister<DroneV1>(path),
        super() {
    loader = persister;
    saver = persister;
  }
  @override
  void configure(ConfigParams config) {
    super.configure(config);
    persister.configure(config);
  }
}
