import 'package:pip_services3_container/pip_services3_container.dart';
import 'package:pip_services3_rpc/pip_services3_rpc.dart';
import 'package:pip_services3_swagger/pip_services3_swagger.dart';

import '../build/DronesServiceFactory.dart';

class DronesProcess extends ProcessContainer {
  DronesProcess() : super('drones', 'Drones microservice') {
    factories.add(DronesServiceFactory());
    factories.add(DefaultRpcFactory());
    factories.add(DefaultSwaggerFactory());
  }
}
