import 'package:pip_services3_commons/pip_services3_commons.dart';

class DroneV1Schema extends ObjectSchema {
  DroneV1Schema() : super() {
    withRequiredProperty('id', TypeCode.String);
    withRequiredProperty('type', TypeCode.String);
    withRequiredProperty('owner_id', TypeCode.String);
    withOptionalProperty('owner_name', TypeCode.String);
    withOptionalProperty('label', TypeCode.String);
    withOptionalProperty('vendor', TypeCode.String);
    withOptionalProperty('model', TypeCode.String);
    withRequiredProperty('serial', TypeCode.String);
    withRequiredProperty('range', TypeCode.Integer);
    withOptionalProperty('base', null);
    withOptionalProperty('registered', TypeCode.DateTime);
    withOptionalProperty('electric', TypeCode.Boolean);
    withOptionalProperty('infra_red', TypeCode.Boolean);
    withOptionalProperty('night_vision', TypeCode.Boolean);
    withOptionalProperty('fixed_camera', TypeCode.Boolean);
    withOptionalProperty('temp_sensor', TypeCode.Boolean);
    withOptionalProperty('video_url', TypeCode.String);
  }
}
